import java.io.*;
import java.util.*;
import java.awt.*;
import javax.swing.*;

public class Menubar extends JPanel implements Observer
{
  private Model model;

  // Bob the Builder this shit
  public Menubar(Model model)
  {
    // Hook up this observer so that it will be notified when the model
    // changes.
    this.model = model;
    this.setPreferredSize(new Dimension(20, 300));
    model.addObserver(this);
  }
  
  public void updateColour()
  {
    this.setBackground(Color.BLUE);
    this.update(model);
  }

  /**
  * Update with data from the model.
  */
  public void update(Object observable)
  {
    revalidate();
    repaint();
  }
}
